package client

import (
	crc "git.loafle.net/commons_go/rpc/client"
	crr "git.loafle.net/commons_go/rpc/registry"
	oopcc "git.loafle.net/overflow/overflow_probe_container/client"
)

type ClientHandlers struct {
	oopcc.ClientHandler
}

func (ch *ClientHandlers) Init(clientCTX crc.ClientContext) error {

	return ch.ClientHandler.Init(clientCTX)
}

func (ch *ClientHandlers) Destroy(clientCTX crc.ClientContext) {
	ch.ClientHandler.Destroy(clientCTX)
}

func (ch *ClientHandlers) Validate() {
	ch.ClientHandler.Validate()
}

func NewClientHandler(rpcInvoker crr.RPCInvoker) oopcc.ClientHandler {
	ch := &ClientHandlers{}
	ch.ClientHandler = oopcc.NewClientHandler(rpcInvoker)
	return ch
}
